/*	Title: 	gload.c
 *  Classification:  public-domain
 *  
 *  Author:  R.E. Sawyer
 *  Date: 14 April 84
 *  
 *  Description:  gload() moves into memory a graphics page from a
 *                file in which it was previously saved by gsave()
 *	              
 *	Hardware requirements:  Hercules Graphics Card/ IBM mono monitor
 *  Language:  C (DeSmet V2.x)
 */


main(argc, argv)
int argc;
char *argv[];
	{
	if ( argc != 3)
		{
		printf("\nUsage:  gload page# filename");
		exit();
		}
	gload(atoi(argv[1]), argv[2]);
	}

 
gload(page, fname)
int page;
char fname[];
	{
	int fnbr;
	unsigned seg, off;
                    
	page ? (seg = 0xb800) : (seg = 0xb000);

	if ((fnbr = fopen(fname, "r")) == 0)
		{
		printf("\nCan't open %s\n", fname);
		exit();
		}
	
	for (off=0; off<32768; ++off)         
		_poke(fgetc(fnbr), off, seg);  
	
	fclose(fnbr);                              
	}
